(function() {
  define('formatters/bio/core/sequence', function() {
    var SequenceFormatter, lineLength;
    lineLength = 40;
    return SequenceFormatter = function(seq) {
      var id, line, lines, residues, rest;
      id = seq.get('id');
      this.$el.addClass('dna-sequence');
      if (!seq.has('residues')) {
        if (model.__fetching == null) {
          model.__fetching = this.model.get('query').service.findById('Sequence', id);
        }
        model.__fetching.then(seq.set.bind(seq));
      }
      residues = seq.get('residues') || '';
      lines = [];
      while (residues.length > 0) {
        line = residues.slice(0, lineLength);
        rest = residues.slice(lineLength);
        lines.push(line);
        residues = rest;
      }
      return ((function() {
        var _i, _len, _results;
        _results = [];
        for (_i = 0, _len = lines.length; _i < _len; _i++) {
          line = lines[_i];
          _results.push("<code>" + line + "</code>");
        }
        return _results;
      })()).join("<br/>");
    };
  });

}).call(this);
