(function() {
  var Messages;

  Messages = require('../messages');

  Messages.setWithPrefix('joins', {
    Heading: 'Manage Relationships',
    Manage: function() {
      return Messages.getText('joins.Heading');
    },
    ManageShort: 'Relationships',
    Inner: 'Required',
    Outer: 'Optional',
    ExplanationTitle: 'What does this do?',
    Explanation: "You can specify the entity relationships within the query here. This\nhas a couple of effects - one is to exclude a class of matched results, the\nother is to change the way the results are presented in the table.\nIf set to required, then an entity which matches the filters\nbut lacks the given relationship will not be returned in the results,\nwhereas if set to optional it will. This also has an effect on the\nway that results are laid out: required collection relationships\nare returned inline, whereas optional collection relationships are\nreturned as nested sub-tables within the main result set."
  });

}).call(this);
