(function() {
  var $, centre;

  $ = require('jquery');

  centre = function(el) {
    var $body, bwidth, ewidth;
    $body = $('body');
    bwidth = $body.width();
    ewidth = el.width();
    return el.css({
      left: (bwidth - ewidth) / 2,
      top: 50
    });
  };

  exports._showModal = function() {
    var el;
    el = this.$el;
    el.modal({
      show: false
    }).addClass('im-floating').draggable({
      handle: '.modal-header'
    }).show(function() {
      centre(el);
      return el.animate({
        opacity: 1
      }, {
        complete: function() {
          return el.addClass('in');
        }
      });
    });
    return this.listenToOnce(this, 'remove', (function(_this) {
      return function() {
        return _this.$el.draggable('destroy');
      };
    })(this));
  };

  exports._hideModal = function() {
    this.$el.removeClass('in');
    return this.onHidden();
  };

}).call(this);
