(function() {
  var _;

  _ = require('underscore');

  exports.setChildIndices = function(idFn, pos, collName) {
    var coll, i, kids, sorted, v, views, _i, _len, _results;
    if (pos == null) {
      pos = 'top';
    }
    if (collName == null) {
      collName = 'collection';
    }
    kids = this.children;
    coll = this[collName];
    views = _.compact(coll.map(function(model) {
      return kids[idFn(model)];
    }));
    sorted = _.sortBy(views, function(v) {
      return v.el.getBoundingClientRect()[pos];
    });
    _results = [];
    for (i = _i = 0, _len = sorted.length; _i < _len; i = ++_i) {
      v = sorted[i];
      _results.push(v.model.set({
        index: i
      }));
    }
    return _results;
  };

}).call(this);
