(function() {
  var getMissingData, hasData, thenSet;

  getMissingData = require('./fetch-missing-data');

  hasData = require('./has-fields');

  thenSet = function(m, p) {
    return p.then(function(data) {
      return m.set(data);
    });
  };

  module.exports = function(type, fields) {
    var complete, get;
    get = getMissingData(type, fields);
    complete = hasData(fields);
    return function(m, s) {
      if (!complete(m)) {
        thenSet(m, get(s, m.get('id')));
      }
      return m.toJSON();
    };
  };

}).call(this);
