(function() {
  var Promise, getResultClass;

  Promise = require('es6-promise').Promise;

  module.exports = getResultClass = function(query) {
    return new Promise(function(resolve, reject) {
      var commonType, model, node, viewNodes, _ref;
      viewNodes = query.getViewNodes();
      model = query.model;
      return resolve((commonType = model.findCommonType((function() {
        var _i, _len, _results;
        _results = [];
        for (_i = 0, _len = viewNodes.length; _i < _len; _i++) {
          node = viewNodes[_i];
          _results.push(node.getType());
        }
        return _results;
      })())) ? model.getPathInfo(commonType).getDisplayName() : (_ref = model.name) != null ? _ref : '');
    });
  };

}).call(this);
