(function() {
  var $, Options, Promise;

  $ = require('jquery');

  Promise = require('es6-promise').Promise;

  Options = require('../options');

  module.exports = function(key, varName) {
    if (global[varName]) {
      return Promise.resolve(global[varName]);
    } else {
      return Promise.resolve($.ajax({
        url: Options.get(key),
        cache: true,
        dataType: 'script'
      })).then(function() {
        return global[varName];
      });
    }
  };

}).call(this);
