(function() {
  var longestCommonPrefix, prefixesAll, _,
    __slice = [].slice;

  _ = require('underscore');

  prefixesAll = function(xs) {
    return function(prefix) {
      return _.all(xs, function(x) {
        return 0 === x.indexOf(prefix);
      });
    };
  };

  module.exports = longestCommonPrefix = function(_arg) {
    var head, nextPrefix, part, parts, prefix, tail, test, _i, _len;
    head = _arg[0], tail = 2 <= _arg.length ? __slice.call(_arg, 1) : [];
    if (head == null) {
      throw new Error('Empty list');
    }
    if (!tail.length) {
      return head;
    }
    parts = head.split(/\./);
    test = prefixesAll(tail);
    prefix = parts[0];
    for (_i = 0, _len = parts.length; _i < _len; _i++) {
      part = parts[_i];
      if (test(nextPrefix = "" + prefix + "." + part)) {
        prefix = nextPrefix;
      }
    }
    return prefix;
  };

}).call(this);
