(function() {
  var __indexOf = [].indexOf || function(item) { for (var i = 0, l = this.length; i < l; i++) { if (i in this && this[i] === item) return i; } return -1; };

  exports.setHeaders = function(query) {
    return query.service.get("/classkeys").then((function(_this) {
      return function(_arg) {
        var cell, classKeys, classes, col, cols, commonPrefix, explicitReplacements, formatter, getReplacedTest, isKeyField, isReplaced, longestCommonPrefix, newHeaders, p, path, r, replacedBy, replaces, row, subPath, v, _i, _j, _k, _l, _len, _len1, _len2, _len3, _ref, _ref1, _ref2, _ref3, _ref4;
        classes = _arg.classes;
        if (!((_ref = _this.model.get('cache')) != null ? _ref.length : void 0)) {
          return;
        }
        row = _this.model.get('cache')[0];
        classKeys = classes;
        replacedBy = {};
        _ref1 = intermine.utils, longestCommonPrefix = _ref1.longestCommonPrefix, getReplacedTest = _ref1.getReplacedTest;
        cols = (function() {
          var _i, _len, _results;
          _results = [];
          for (_i = 0, _len = row.length; _i < _len; _i++) {
            cell = row[_i];
            path = q.getPathInfo(cell.column);
            replaces = cell.view != null ? (commonPrefix = longestCommonPrefix(cell.view), path = q.getPathInfo(commonPrefix), replaces = (function() {
              var _j, _len1, _ref2, _results1;
              _ref2 = cell.view;
              _results1 = [];
              for (_j = 0, _len1 = _ref2.length; _j < _len1; _j++) {
                v = _ref2[_j];
                _results1.push(q.getPathInfo(v));
              }
              return _results1;
            })()) : [];
            _results.push({
              path: path,
              replaces: replaces
            });
          }
          return _results;
        })();
        for (_i = 0, _len = cols.length; _i < _len; _i++) {
          col = cols[_i];
          if (!(col.path.isAttribute() && intermine.results.shouldFormat(col.path))) {
            continue;
          }
          p = col.path;
          formatter = intermine.results.getFormatter(p);
          if (_this.canUseFormatter(formatter)) {
            col.isFormatted = true;
            col.formatter = formatter;
            _ref3 = (_ref2 = formatter.replaces) != null ? _ref2 : [];
            for (_j = 0, _len1 = _ref3.length; _j < _len1; _j++) {
              r = _ref3[_j];
              subPath = "" + (p.getParent()) + "." + r;
              if (replacedBy[subPath] == null) {
                replacedBy[subPath] = col;
              }
              if (__indexOf.call(q.views, subPath) >= 0) {
                col.replaces.push(q.getPathInfo(subPath));
              }
            }
          }
        }
        isKeyField = function(col) {
          var fName, pType, _ref4, _ref5;
          if (!col.path.isAttribute()) {
            return false;
          }
          pType = col.path.getParent().getType().name;
          fName = col.path.end.name;
          return _ref4 = "" + pType + "." + fName, __indexOf.call((_ref5 = classKeys != null ? classKeys[pType] : void 0) != null ? _ref5 : [], _ref4) >= 0;
        };
        explicitReplacements = {};
        for (_k = 0, _len2 = cols.length; _k < _len2; _k++) {
          col = cols[_k];
          _ref4 = col.replaces;
          for (_l = 0, _len3 = _ref4.length; _l < _len3; _l++) {
            r = _ref4[_l];
            explicitReplacements[r] = col;
          }
        }
        isReplaced = getReplacedTest(replacedBy, explicitReplacements);
        newHeaders = (function() {
          var _len4, _m, _ref5, _results;
          _results = [];
          for (_m = 0, _len4 = cols.length; _m < _len4; _m++) {
            col = cols[_m];
            if (!(!isReplaced(col))) {
              continue;
            }
            if (col.isFormatted) {
              if (_ref5 = col.path, __indexOf.call(col.replaces, _ref5) < 0) {
                col.replaces.push(col.path);
              }
              if (isKeyField(col) || col.replaces.length > 1) {
                col.path = col.path.getParent();
              }
            }
            _results.push(col);
          }
          return _results;
        })();
        return _this.columnHeaders.reset(newHeaders);
      };
    })(this));
  };

}).call(this);
