(function() {
  var FlatFileOptions, Templates, View, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  View = require('../../core-view');

  Templates = require('../../templates');

  module.exports = FlatFileOptions = (function(_super) {
    __extends(FlatFileOptions, _super);

    function FlatFileOptions() {
      return FlatFileOptions.__super__.constructor.apply(this, arguments);
    }

    FlatFileOptions.prototype.RERENDER_EVENT = 'change';

    FlatFileOptions.prototype.tagName = 'form';

    FlatFileOptions.prototype.template = Templates.template('export_flat_file_options');

    FlatFileOptions.prototype.setHeaderType = function(type) {
      return (function(_this) {
        return function() {
          return _this.model.set({
            headerType: type
          });
        };
      })(this);
    };

    FlatFileOptions.prototype.events = function() {
      return {
        'click .im-headers': (function(_this) {
          return function() {
            return _this.model.toggle('headers');
          };
        })(this),
        'click input[name=hdrs-friendly]': this.setHeaderType('friendly'),
        'click input[name=hdrs-path]': this.setHeaderType('path')
      };
    };

    return FlatFileOptions;

  })(View);

}).call(this);
