(function() {
  var JSONOptions, LabelView, Messages, Templates, View, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  View = require('../../core-view');

  LabelView = require('../label-view');

  Messages = require('../../messages');

  Templates = require('../../templates');

  module.exports = JSONOptions = (function(_super) {
    __extends(JSONOptions, _super);

    function JSONOptions() {
      return JSONOptions.__super__.constructor.apply(this, arguments);
    }

    JSONOptions.prototype.RERENDER_EVENT = 'change';

    JSONOptions.prototype.tagName = 'form';

    JSONOptions.prototype.template = Templates.template('export_json_options');

    JSONOptions.prototype.setJSONFormat = function(fmt) {
      return (function(_this) {
        return function() {
          return _this.model.set({
            jsonFormat: fmt
          });
        };
      })(this);
    };

    JSONOptions.prototype.events = function() {
      return {
        'click input[name=rows]': this.setJSONFormat('rows'),
        'click input[name=objects]': this.setJSONFormat('objects')
      };
    };

    return JSONOptions;

  })(View);

}).call(this);
