(function() {
  var CoreView, OnlyOneItem, Templates,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  CoreView = require('../../core-view');

  Templates = require('../../templates');

  module.exports = OnlyOneItem = (function(_super) {
    __extends(OnlyOneItem, _super);

    function OnlyOneItem() {
      return OnlyOneItem.__super__.constructor.apply(this, arguments);
    }

    OnlyOneItem.prototype.className = 'im-only-one';

    OnlyOneItem.prototype.modelEvents = function() {
      return {
        change: this.reRender
      };
    };

    OnlyOneItem.prototype.stateEvents = function() {
      return {
        change: this.reRender
      };
    };

    OnlyOneItem.prototype.template = Templates.template('only_one_item');

    return OnlyOneItem;

  })(CoreView);

}).call(this);
