(function() {
  var CoreView, RowSurrogate, Templates, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  CoreView = require('../../core-view');

  Templates = require('../../templates');

  module.exports = RowSurrogate = (function(_super) {
    __extends(RowSurrogate, _super);

    function RowSurrogate() {
      return RowSurrogate.__super__.constructor.apply(this, arguments);
    }

    RowSurrogate.prototype.className = 'im-facet-surrogate';

    RowSurrogate.prototype.initialize = function(_arg) {
      this.above = _arg.above;
      return RowSurrogate.__super__.initialize.apply(this, arguments);
    };

    RowSurrogate.prototype.template = Templates.template('row_surrogate');

    RowSurrogate.prototype.getData = function() {
      return _.extend(RowSurrogate.__super__.getData.apply(this, arguments), {
        above: this.above
      });
    };

    RowSurrogate.prototype.postRender = function() {
      return this.$el.addClass(this.above ? 'above' : 'below');
    };

    RowSurrogate.prototype.remove = function() {
      return this.$el.fadeOut('fast', (function(_this) {
        return function() {
          return RowSurrogate.__super__.remove.call(_this);
        };
      })(this));
    };

    return RowSurrogate;

  })(CoreView);

}).call(this);
