(function() {
  var CoreView, ListTag, Templates,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  CoreView = require('../../core-view');

  Templates = require('../../templates');

  module.exports = ListTag = (function(_super) {
    __extends(ListTag, _super);

    function ListTag() {
      return ListTag.__super__.constructor.apply(this, arguments);
    }

    ListTag.prototype.className = 'im-list-tag label label-primary';

    ListTag.prototype.template = Templates.template('list-tag');

    ListTag.prototype.events = function() {
      return {
        'click .im-remove': 'removeAndDestroy'
      };
    };

    ListTag.prototype.postRender = function() {
      return this.activateTooltip();
    };

    ListTag.prototype.activateTooltip = function() {
      return this.$('[title]').tooltip();
    };

    ListTag.prototype.removeAndDestroy = function() {
      this.model.collection.remove(this.model);
      this.model.destroy();
      return this.$el.fadeOut(400, (function(_this) {
        return function() {
          return _this.remove();
        };
      })(this));
    };

    return ListTag;

  })(CoreView);

}).call(this);
