(function() {
  var CoreView, TagsApology, Templates, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  CoreView = require('../../core-view');

  Templates = require('../../templates');

  require('../../messages/lists');

  module.exports = TagsApology = (function(_super) {
    __extends(TagsApology, _super);

    function TagsApology() {
      return TagsApology.__super__.constructor.apply(this, arguments);
    }

    TagsApology.prototype.collectionEvents = function() {
      return {
        'add remove reset': this.reRender
      };
    };

    TagsApology.prototype.template = Templates.template('list-tags-apology');

    TagsApology.prototype.getData = function() {
      return _.extend(TagsApology.__super__.getData.apply(this, arguments), {
        hasTags: this.collection.size()
      });
    };

    return TagsApology;

  })(CoreView);

}).call(this);
