(function() {
  var Actions, LargeTableDisuader, Modal, large_table_disuader, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  Modal = require('../modal');

  large_table_disuader = require('../../templates').large_table_disuader;

  Actions = {
    ACCEPT: 'accept',
    CONSTRAIN: 'constrain',
    BACK: 'back',
    FWD: 'forward',
    EXPORT: 'export',
    DISMISS: 'dismiss'
  };

  module.exports = LargeTableDisuader = (function(_super) {
    __extends(LargeTableDisuader, _super);

    function LargeTableDisuader() {
      return LargeTableDisuader.__super__.constructor.apply(this, arguments);
    }

    LargeTableDisuader.prototype.className = function() {
      return 'im-page-size-sanity-check fade ' + LargeTableDisuader.__super__.className.apply(this, arguments);
    };

    LargeTableDisuader.prototype.template = _.template(large_table_disuader);

    LargeTableDisuader.prototype.events = function() {
      return _.extend(LargeTableDisuader.__super__.events.apply(this, arguments), {
        'click .btn-primary': ((function(_this) {
          return function() {
            return _this.resolve(Actions.ACCEPT);
          };
        })(this)),
        'click .add-filter-dialogue': ((function(_this) {
          return function() {
            return _this.resolve(Actions.CONSTRAIN);
          };
        })(this)),
        'click .page-backwards': ((function(_this) {
          return function() {
            return _this.resolve(Actions.BACK);
          };
        })(this)),
        'click .page-forwards': ((function(_this) {
          return function() {
            return _this.resolve(Actions.FWD);
          };
        })(this)),
        'click .download-menu': ((function(_this) {
          return function() {
            return _this.resolve(Actions.EXPORT);
          };
        })(this))
      });
    };

    return LargeTableDisuader;

  })(Modal);

}).call(this);
