(function() {
  scope('intermine.snippets.table', {
    NoResults: function(query) {
      return _.template("<tr>\n  <td colspan=\"<%= views.length %>\">\n    <div class=\"im-no-results alert alert-info\">\n      <div <% if (revision === 0) { %> style=\"display:none;\" <% } %> >\n        " + intermine.snippets.query.UndoButton + "\n      </div>\n      <strong>NO RESULTS</strong>\n      This query returned 0 results.\n      <div style=\"clear:both\"></div>\n    </div>\n  </td>\n</tr>", query);
    },
    CountSummary: _.template(""),
    Pagination: _.template("")
  });

  scope('intermine.snippets.query', {
    UndoButton: "<button class=\"btn btn-primary pull-right\">\n  <i class=\"" + intermine.icons.Undo + "\"></i> undo\n</button>"
  });

}).call(this);
