(function() {
  var Backbone, CoreCollection, CoreModel,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  Backbone = require('backbone');

  CoreModel = require('../core-model');

  module.exports = CoreCollection = (function(_super) {
    __extends(CoreCollection, _super);

    function CoreCollection() {
      return CoreCollection.__super__.constructor.apply(this, arguments);
    }

    CoreCollection.prototype.model = CoreModel;

    CoreCollection.prototype.close = function() {
      var m;
      this.trigger('close', this);
      this.off();
      while (m = this.pop()) {
        if (m.collection === this) {
          delete m.collection;
          m.destroy();
        }
      }
      this.reset();
      return this.stopListening();
    };

    return CoreCollection;

  })(Backbone.Collection);

}).call(this);
