(function() {
  var bio_formatters, x,
    __slice = [].slice;

  bio_formatters = (function() {
    var _i, _len, _ref, _results;
    _ref = ['chromosome-location', 'sequence', 'organism', 'publication'];
    _results = [];
    for (_i = 0, _len = _ref.length; _i < _len; _i++) {
      x = _ref[_i];
      _results.push("formatters/bio/core/" + x);
    }
    return _results;
  })();

  define('formatters/bio/core', using.apply(null, __slice.call(bio_formatters).concat([function(Chr, Seq, Org, Pub) {
    scope('intermine.results.formatters', {
      Location: Chr,
      Sequence: Seq,
      Publication: Pub,
      Organism: Org
    });
    return scope('intermine.results.formatsets.genomic', {
      'Location.start': false,
      'Location.end': false,
      'Organism.name': false,
      'Publication.title': false,
      'Sequence.residues': false
    });
  }])));

}).call(this);
