(function() {
  define('formatters/bio/core/publication', function() {
    var PublicationFormatter;
    PublicationFormatter = function(imobject) {
      var firstAuthor, id, title, year, _ref;
      id = imobject.get('id');
      this.$el.addClass('publication');
      if (!(imobject.has('title') && imobject.has('firstAuthor') && imobject.has('year'))) {
        if (imobject.__fetching == null) {
          imobject.__fetching = this.model.get('query').service.findById('Publication', id);
        }
        imobject.__fetching.then(function(pub) {
          return imobject.set(pub);
        });
      }
      _ref = imobject.toJSON(), title = _ref.title, firstAuthor = _ref.firstAuthor, year = _ref.year;
      return "" + title + " (" + firstAuthor + ", " + year + ")";
    };
    PublicationFormatter.replaces = ['title', 'firstAuthor', 'year'];
    return PublicationFormatter;
  });

}).call(this);
