(function() {
  var CodeGenModel, CoreModel, Options,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  Options = require('../options');

  CoreModel = require('../core-model');

  module.exports = CodeGenModel = (function(_super) {
    __extends(CodeGenModel, _super);

    function CodeGenModel() {
      return CodeGenModel.__super__.constructor.apply(this, arguments);
    }

    CodeGenModel.prototype.defaults = function() {
      return {
        lang: Options.get('CodeGen.Default'),
        showBoilerPlate: false,
        highlightSyntax: true
      };
    };

    return CodeGenModel;

  })(CoreModel);

}).call(this);
