(function() {
  var Collection, ColumnHeaders, HeaderModel, buildHeaders,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  Collection = require('../core/collection');

  HeaderModel = require('./header');

  buildHeaders = require('../utils/build-headers');

  module.exports = ColumnHeaders = (function(_super) {
    __extends(ColumnHeaders, _super);

    function ColumnHeaders() {
      return ColumnHeaders.__super__.constructor.apply(this, arguments);
    }

    ColumnHeaders.prototype.model = HeaderModel;

    ColumnHeaders.prototype.comparator = 'index';

    ColumnHeaders.prototype.initialize = function() {
      ColumnHeaders.__super__.initialize.apply(this, arguments);
      return this.listenTo(this, 'change:index', this.sort);
    };

    ColumnHeaders.prototype.setHeaders = function(query, banList) {
      var building;
      building = buildHeaders(query, banList);
      return building.then((function(_this) {
        return function(hs) {
          var h;
          return _this.set((function() {
            var _i, _len, _results;
            _results = [];
            for (_i = 0, _len = hs.length; _i < _len; _i++) {
              h = hs[_i];
              _results.push(new HeaderModel(h, query));
            }
            return _results;
          })());
        };
      })(this));
    };

    return ColumnHeaders;

  })(Collection);

}).call(this);
