(function() {
  var CoreModel, IMObject, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  CoreModel = require('../core-model');

  module.exports = IMObject = (function(_super) {
    __extends(IMObject, _super);

    function IMObject(base, types, id) {
      IMObject.__super__.constructor.call(this, {
        classes: types != null ? types.map(String) : void 0,
        id: id
      });
      this.set({
        'service:base': base
      });
      this.freeze('service:base', 'id', 'classes');
    }

    IMObject.prototype.toJSON = function() {
      var uri, url;
      url = this.get('service:url');
      uri = /^http/.test(url) ? url : this.get('service:base') + url;
      return _.extend(IMObject.__super__.toJSON.apply(this, arguments), {
        'report:uri': uri
      });
    };

    IMObject.prototype.merge = function(obj, field) {
      this.set(field, obj.value);
      return this.set({
        'service:url': obj.url
      });
    };

    return IMObject;

  })(CoreModel);

}).call(this);
