(function() {
  var OrderElementModel, PathModel,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  PathModel = require('./path');

  module.exports = OrderElementModel = (function(_super) {
    __extends(OrderElementModel, _super);

    function OrderElementModel(_arg) {
      var direction, path;
      path = _arg.path, direction = _arg.direction;
      OrderElementModel.__super__.constructor.call(this, path);
      if (direction == null) {
        direction = 'ASC';
      }
      this.set({
        direction: direction
      });
    }

    OrderElementModel.prototype.asOrderElement = function() {
      return this.pick('path', 'direction');
    };

    OrderElementModel.prototype.toOrderString = function() {
      return "" + (this.get('path')) + " " + (this.get('direction'));
    };

    return OrderElementModel;

  })(PathModel);

}).call(this);
