(function() {
  var Collection, CoreModel, RowModel, RowsCollection, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  CoreModel = require('../core-model');

  Collection = require('../core/collection');

  RowModel = (function(_super) {
    __extends(RowModel, _super);

    function RowModel() {
      return RowModel.__super__.constructor.apply(this, arguments);
    }

    RowModel.prototype.defaults = function() {
      return {
        index: null,
        query: null,
        cells: []
      };
    };

    RowModel.prototype.toJSON = function() {
      var c;
      return _.extend(RowModel.__super__.toJSON.apply(this, arguments), {
        cells: (function() {
          var _i, _len, _ref, _results;
          _ref = this.get('cells');
          _results = [];
          for (_i = 0, _len = _ref.length; _i < _len; _i++) {
            c = _ref[_i];
            _results.push(c.toJSON());
          }
          return _results;
        }).call(this)
      });
    };

    return RowModel;

  })(CoreModel);

  module.exports = RowsCollection = (function(_super) {
    __extends(RowsCollection, _super);

    function RowsCollection() {
      return RowsCollection.__super__.constructor.apply(this, arguments);
    }

    RowsCollection.prototype.model = RowModel;

    RowsCollection.prototype.comparator = 'index';

    return RowsCollection;

  })(Collection);

}).call(this);
