(function() {
  module.exports = function(cells, headers) {
    var added, c, col, hi, n, p, parent, rp, skipped, _i, _j, _len, _len1, _ref, _ref1;
    skipped = {};
    for (_i = 0, _len = cells.length; _i < _len; _i++) {
      c = cells[_i];
      if (!(((_ref = c.formatter) != null ? _ref.replaces : void 0) != null)) {
        continue;
      }
      n = c.model.get('node').toString();
      col = c.model.get('column');
      p = col.toString();
      if ((headers != null) && col.isAttribute() && c.formatter.replaces.length > 1) {
        hi = headers.indexOf(headers.get(p));
        headers.remove(p);
        parent = col.getParent();
        added = headers.add(parent, {
          at: hi
        });
        added.set({
          replaces: c.formatter.replaces.map(function(r) {
            return parent.append(r);
          })
        });
      }
      if (!skipped[p]) {
        _ref1 = c.formatter.replaces.map(function(r) {
          return n + '.' + r;
        });
        for (_j = 0, _len1 = _ref1.length; _j < _len1; _j++) {
          rp = _ref1[_j];
          if (!(rp !== p)) {
            continue;
          }
          skipped[rp] = true;
          if (headers != null) {
            headers.remove(rp);
          }
        }
      }
    }
    return skipped;
  };

}).call(this);
