(function() {
  var ClassSet, _;

  _ = require('underscore');

  module.exports = ClassSet = (function() {
    function ClassSet(definitions) {
      this.definitions = definitions;
    }

    ClassSet.prototype.activeClasses = function() {
      var cssClass, _results;
      _results = [];
      for (cssClass in this.definitions) {
        if (_.result(this.definitions, cssClass)) {
          _results.push(cssClass);
        }
      }
      return _results;
    };

    ClassSet.prototype.toString = function() {
      return this.activeClasses().join(' ');
    };

    return ClassSet;

  })();

}).call(this);
