(function() {
  var getLeaves,
    __indexOf = [].indexOf || function(item) { for (var i = 0, l = this.length; i < l; i++) { if (i in this && this[i] === item) return i; } return -1; };

  module.exports = getLeaves = function(o, exceptList) {
    var attrs, leaf, name, refs, v, values;
    values = (function() {
      var _results;
      _results = [];
      for (name in o) {
        leaf = o[name];
        if ((leaf != null) && __indexOf.call(exceptList, name) < 0) {
          _results.push(leaf);
        }
      }
      return _results;
    })();
    attrs = (function() {
      var _i, _len, _results;
      _results = [];
      for (_i = 0, _len = values.length; _i < _len; _i++) {
        v = values[_i];
        if (v.objectId == null) {
          _results.push(v);
        }
      }
      return _results;
    })();
    refs = (function() {
      var _i, _len, _results;
      _results = [];
      for (_i = 0, _len = values.length; _i < _len; _i++) {
        v = values[_i];
        if (v.objectId != null) {
          _results.push(v);
        }
      }
      return _results;
    })();
    return refs.reduce((function(ls, ref) {
      return ls.concat(getLeaves(ref, exceptList));
    }), attrs);
  };

}).call(this);
