(function() {
  var isKeyField,
    __indexOf = [].indexOf || function(item) { for (var i = 0, l = this.length; i < l; i++) { if (i in this && this[i] === item) return i; } return -1; };

  module.exports = isKeyField = function(classKeys) {
    return function(path) {
      var fieldName, keys, type, _ref, _ref1;
      if (!path.isAttribute()) {
        return false;
      }
      type = path.getParent().getType().name;
      fieldName = path.end.name;
      keys = (_ref = classKeys != null ? classKeys[type] : void 0) != null ? _ref : [];
      return _ref1 = "" + type + "." + fieldName, __indexOf.call(keys, _ref1) >= 0;
    };
  };

}).call(this);
