(function() {
  var pairsToParams, _;

  _ = require('underscore');

  pairsToParams = function(pairs) {
    var p;
    return _.object((function() {
      var _i, _len, _results;
      _results = [];
      for (_i = 0, _len = pairs.length; _i < _len; _i++) {
        p = pairs[_i];
        _results.push(p.split('=').map(decodeURIComponent));
      }
      return _results;
    })());
  };

  module.exports = function(url) {
    var URL, pairs, params, qs, _ref;
    _ref = url.split('?'), URL = _ref[0], qs = _ref[1];
    pairs = qs.split('&');
    params = pairsToParams(pairs);
    return {
      URL: URL,
      params: params
    };
  };

}).call(this);
