(function() {
  var contains_i, _;

  _ = require('underscore');

  contains_i = function(a, b) {
    return a.toLowerCase().indexOf(b) >= 0;
  };

  module.exports = function(suggestions) {
    return function(term, cb) {
      var matches, parts, s, _ref, _ref1;
      parts = (_ref = term != null ? (_ref1 = term.toLowerCase()) != null ? _ref1.split(' ') : void 0 : void 0) != null ? _ref : [];
      matches = function(_arg) {
        var item, name, path;
        path = _arg.path, item = _arg.item, name = _arg.name;
        return _.all(parts, function(p) {
          if (path == null) {
            path = item;
          }
          return contains_i(path.toString(), p) || contains_i(name, p);
        });
      };
      if (suggestions.each != null) {
        return cb(suggestions.map(function(sm) {
          return sm.toJSON();
        }).filter(matches));
      } else {
        return cb((function() {
          var _i, _len, _results;
          _results = [];
          for (_i = 0, _len = suggestions.length; _i < _len; _i++) {
            s = suggestions[_i];
            if (matches(s)) {
              _results.push(s);
            }
          }
          return _results;
        })());
      }
    };
  };

}).call(this);
