(function() {
  var NEXT_DIRECTION_OF, sortQueryByPath;

  NEXT_DIRECTION_OF = {
    ASC: 'DESC',
    DESC: 'ASC',
    NONE: 'ASC'
  };

  module.exports = sortQueryByPath = function(query, path) {
    var currentDirection, nextDirection, _ref;
    currentDirection = (_ref = query.getSortDirection(path)) != null ? _ref : 'NONE';
    nextDirection = NEXT_DIRECTION_OF[currentDirection];
    return query.orderBy([
      {
        path: path,
        direction: nextDirection
      }
    ]);
  };

}).call(this);
