(function() {
  var CDN, PROMISES, Promise, promiseResource, withResource,
    __indexOf = [].indexOf || function(item) { for (var i = 0, l = this.length; i < l; i++) { if (i in this && this[i] === item) return i; } return -1; };

  Promise = require('es6-promise').Promise;

  CDN = require('../cdn');

  PROMISES = {};

  promiseResource = function(ident, globalVar) {
    if (__indexOf.call(global, globalVar) >= 0) {
      return Promise.resolve(global[globalVar]);
    } else {
      return CDN.load(ident).then((function() {
        return global[globalVar];
      }), console.error.bind(console));
    }
  };

  module.exports = withResource = function(ident, globalVar, cb) {
    return (PROMISES[ident] != null ? PROMISES[ident] : PROMISES[ident] = promiseResource(ident, globalVar)).then(cb);
  };

}).call(this);
