(function() {
  var BooleanValueControls, Messages, Options, View, fs, html, mustacheSettings, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  

  Messages = require('../messages');

  View = require('../core-view');

  Options = require('../options');

  mustacheSettings = require('../templates/mustache-settings');

  html = "<button class=\"btn btn-default im-true {{ (value === true) ? ' active' : void 0 }}\">\n  True\n</button>\n<button class=\"btn btn-default im-false {{ (value === false) ? ' active' : void 0 }}\">\n  False\n</button>\n";

  module.exports = BooleanValueControls = (function(_super) {
    __extends(BooleanValueControls, _super);

    function BooleanValueControls() {
      return BooleanValueControls.__super__.constructor.apply(this, arguments);
    }

    BooleanValueControls.prototype.className = 'im-value-options btn-group';

    BooleanValueControls.prototype.modelEvents = function() {
      return {
        change: this.reRender
      };
    };

    BooleanValueControls.prototype.getData = function() {
      return _.extend({
        value: null
      }, BooleanValueControls.__super__.getData.apply(this, arguments));
    };

    BooleanValueControls.prototype.template = _.template(html, mustacheSettings);

    BooleanValueControls.prototype.events = function() {
      return {
        'click .im-true': 'setValueTrue',
        'click .im-false': 'setValueFalse'
      };
    };

    BooleanValueControls.prototype.setValueTrue = function() {
      return this.model.set({
        value: true
      });
    };

    BooleanValueControls.prototype.setValueFalse = function() {
      return this.model.set({
        value: false
      });
    };

    return BooleanValueControls;

  })(View);

}).call(this);
