(function() {
  var OrderElement, SelectedColumn, TEMPLATE_PARTS, Templates, nextDirection, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  SelectedColumn = require('./selected-column');

  Templates = require('../../templates');

  TEMPLATE_PARTS = ['column-manager-position-controls', 'column-manager-order-direction', 'column-manager-path-name', 'column-manager-path-remover'];

  nextDirection = function(dir) {
    if (dir === 'ASC') {
      return 'DESC';
    } else {
      return 'ASC';
    }
  };

  module.exports = OrderElement = (function(_super) {
    __extends(OrderElement, _super);

    function OrderElement() {
      return OrderElement.__super__.constructor.apply(this, arguments);
    }

    OrderElement.prototype.removeTitle = 'columns.RemoveOrderElement';

    OrderElement.prototype.template = Templates.templateFromParts(TEMPLATE_PARTS);

    OrderElement.prototype.modelEvents = function() {
      return _.extend(OrderElement.__super__.modelEvents.apply(this, arguments), {
        'change:direction': this.reRender
      });
    };

    OrderElement.prototype.events = function() {
      return _.extend(OrderElement.__super__.events.apply(this, arguments), {
        'click .im-change-direction': 'changeDirection'
      });
    };

    OrderElement.prototype.changeDirection = function() {
      return this.model.swap('direction', nextDirection);
    };

    return OrderElement;

  })(SelectedColumn);

}).call(this);
