(function() {
  var SelectedColumn, TEMPLATE_PARTS, Templates, UnselectedColumn, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  SelectedColumn = require('./selected-column');

  Templates = require('../../templates');

  TEMPLATE_PARTS = ['column-manager-path-name', 'column-manager-restore-path'];

  module.exports = UnselectedColumn = (function(_super) {
    __extends(UnselectedColumn, _super);

    function UnselectedColumn() {
      return UnselectedColumn.__super__.constructor.apply(this, arguments);
    }

    UnselectedColumn.prototype.template = Templates.templateFromParts(TEMPLATE_PARTS);

    UnselectedColumn.prototype.events = function() {
      return {
        'click .im-restore-view': 'removeView',
        'click': 'toggleFullPath'
      };
    };

    UnselectedColumn.prototype.restoreTitle = 'columns.RestoreColumn';

    UnselectedColumn.prototype.getData = function() {
      return _.extend(UnselectedColumn.__super__.getData.apply(this, arguments), {
        restoreTitle: this.restoreTitle
      });
    };

    return UnselectedColumn;

  })(SelectedColumn);

}).call(this);
