(function() {
  var CoreView, ErrorMessage, Icons, Templates, fs, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  fs = require('fs');

  CoreView = require('../core-view');

  Icons = require('../icons');

  Templates = require('../templates');

  module.exports = ErrorMessage = (function(_super) {
    __extends(ErrorMessage, _super);

    function ErrorMessage() {
      return ErrorMessage.__super__.constructor.apply(this, arguments);
    }

    ErrorMessage.prototype.className = 'im-error-message';

    ErrorMessage.prototype.modelEvents = function() {
      return {
        'change:error': this.reRender
      };
    };

    ErrorMessage.prototype.getData = function() {
      return {
        icons: Icons,
        error: this.model.get('error')
      };
    };

    ErrorMessage.prototype.logError = function() {
      var e;
      if (e = this.model.get('error')) {
        return console.error(e, e.stack);
      }
    };

    ErrorMessage.prototype.template = Templates.template('error-message');

    return ErrorMessage;

  })(CoreView);

}).call(this);
