(function() {
  var CompressionControls, ModalBody, Templates, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  ModalBody = require('./main');

  Templates = require('../../templates');

  module.exports = CompressionControls = (function(_super) {
    __extends(CompressionControls, _super);

    function CompressionControls() {
      return CompressionControls.__super__.constructor.apply(this, arguments);
    }

    CompressionControls.prototype.RERENDER_EVENT = 'change';

    CompressionControls.prototype.tagName = 'form';

    CompressionControls.prototype.template = Templates.template('export_compression_controls');

    CompressionControls.prototype.setCompression = function(type) {
      return (function(_this) {
        return function() {
          return _this.model.set({
            compression: type
          });
        };
      })(this);
    };

    CompressionControls.prototype.events = function() {
      return {
        'click .im-compress': (function(_this) {
          return function() {
            return _this.model.toggle('compress');
          };
        })(this),
        'click input[name=gzip]': this.setCompression('gzip'),
        'click input[name=zip]': this.setCompression('zip')
      };
    };

    return CompressionControls;

  })(ModalBody);

}).call(this);
