(function() {
  var CoreView, NoResults, Templates,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  CoreView = require('../../core-view');

  Templates = require('../../templates');

  require('../../messages/summary');

  module.exports = NoResults = (function(_super) {
    __extends(NoResults, _super);

    function NoResults() {
      return NoResults.__super__.constructor.apply(this, arguments);
    }

    NoResults.prototype.className = 'im-no-results';

    NoResults.prototype.stateEvents = function() {
      return {
        'change:pathName': this.reRender
      };
    };

    NoResults.prototype.renderRequires = ['pathName'];

    NoResults.prototype.template = Templates.template('summary_no_results');

    return NoResults;

  })(CoreView);

}).call(this);
