(function() {
  var CoreView, SummaryHeading, Templates, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  CoreView = require('../../core-view');

  Templates = require('../../templates');

  require('../../messages/summary');

  module.exports = SummaryHeading = (function(_super) {
    __extends(SummaryHeading, _super);

    function SummaryHeading() {
      return SummaryHeading.__super__.constructor.apply(this, arguments);
    }

    SummaryHeading.prototype.className = 'im-summary-heading';

    SummaryHeading.prototype.modelEvents = function() {
      return {
        change: this.reRender,
        destroy: this.stopListening
      };
    };

    SummaryHeading.prototype.stateEvents = function() {
      return {
        change: this.reRender
      };
    };

    SummaryHeading.prototype.renderRequires = ['numeric', 'available', 'got', 'uniqueValues'];

    SummaryHeading.prototype.template = Templates.template('summary_heading');

    SummaryHeading.prototype.getData = function() {
      return _.extend(SummaryHeading.__super__.getData.apply(this, arguments), {
        filtered: this.model.get('filteredCount') != null
      });
    };

    return SummaryHeading;

  })(CoreView);

}).call(this);
