(function() {
  var CoreView, CountsTitle, Messages, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  CoreView = require('../../core-view');

  Messages = require('../../messages');

  Messages.setWithPrefix('preview', {
    RelatedItemsHeading: 'Related Items'
  });

  module.exports = CountsTitle = (function(_super) {
    __extends(CountsTitle, _super);

    function CountsTitle() {
      return CountsTitle.__super__.constructor.apply(this, arguments);
    }

    CountsTitle.prototype.tagName = 'h4';

    CountsTitle.prototype.collectionEvents = function() {
      return {
        'add remove reset': this.setVisibility
      };
    };

    CountsTitle.prototype.setVisibility = function() {
      return this.$el.toggleClass('im-hidden', this.collection.isEmpty());
    };

    CountsTitle.prototype.template = function() {
      return _.escape(Messages.getText('preview.RelatedItemsHeading'));
    };

    CountsTitle.prototype.postRender = function() {
      return this.setVisibility();
    };

    return CountsTitle;

  })(CoreView);

}).call(this);
