(function() {
  var AppendToListBody, CoreView, Messages, SelectWithLabel, Templates, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  CoreView = require('../../core-view');

  Templates = require('../../templates');

  Messages = require('../../messages');

  SelectWithLabel = require('../../core/select-with-label');

  require('../../messages/lists');

  module.exports = AppendToListBody = (function(_super) {
    __extends(AppendToListBody, _super);

    function AppendToListBody() {
      return AppendToListBody.__super__.constructor.apply(this, arguments);
    }

    AppendToListBody.prototype.parameters = ['model', 'collection'];

    AppendToListBody.prototype.postRender = function() {
      return this.renderListSelector();
    };

    AppendToListBody.prototype.renderListSelector = function() {
      var selector;
      selector = new SelectWithLabel({
        model: this.model,
        collection: this.collection,
        attr: 'target',
        label: 'lists.params.Target',
        optionLabel: 'lists.PossibleAppendTarget',
        helpMessage: 'lists.params.help.Target',
        noOptionsMessage: 'lists.append.NoSuitableLists',
        getProblem: function(target) {
          return !(target != null ? target.length : void 0);
        }
      });
      this.listenTo(selector.state, 'change:error', console.error.bind(console));
      return this.renderChild('list-selector', selector);
    };

    return AppendToListBody;

  })(CoreView);

}).call(this);
