(function() {
  var CoreView, ModalFooter, Templates, defaultData, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  CoreView = require('../core-view');

  Templates = require('../templates');

  defaultData = function() {
    return {
      error: null,
      exportLink: null,
      disabled: false,
      disabledReason: null
    };
  };

  module.exports = ModalFooter = (function(_super) {
    __extends(ModalFooter, _super);

    function ModalFooter() {
      return ModalFooter.__super__.constructor.apply(this, arguments);
    }

    ModalFooter.prototype.tagName = 'div';

    ModalFooter.prototype.className = 'modal-footer';

    ModalFooter.prototype.RERENDER_EVENT = 'change:error change:exportLink';

    ModalFooter.prototype.parameters = ['template', 'actionNames', 'actionIcons'];

    ModalFooter.prototype.getData = function() {
      return _.extend(defaultData(), this.actionNames, this.actionIcons, ModalFooter.__super__.getData.apply(this, arguments));
    };

    ModalFooter.prototype.postRender = function() {
      return this.$('[title]').tooltip();
    };

    return ModalFooter;

  })(CoreView);

}).call(this);
