(function() {
  var Icons, Reference, ReverseReference,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  Icons = require('../../icons');

  Reference = require('./reference');

  module.exports = ReverseReference = (function(_super) {
    __extends(ReverseReference, _super);

    function ReverseReference() {
      return ReverseReference.__super__.constructor.apply(this, arguments);
    }

    ReverseReference.prototype.className = 'im-reverse-reference';

    ReverseReference.prototype.getData = function() {
      var d;
      d = ReverseReference.__super__.getData.apply(this, arguments);
      d.icon += " " + Icons.icon('ReverseRef');
      return d;
    };

    ReverseReference.prototype.handleClick = function(e) {
      e.preventDefault();
      e.stopPropagation();
      return this.$el.tooltip('hide');
    };

    ReverseReference.prototype.render = function() {
      ReverseReference.__super__.render.apply(this, arguments);
      this.$el.attr({
        title: "Refers back to " + (this.path.getParent().getParent())
      }).tooltip();
      return this;
    };

    return ReverseReference;

  })(Reference);

}).call(this);
