(function() {
  var Attribute, Icons, RootClass, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  Icons = require('../../icons');

  Attribute = require('./attribute');

  module.exports = RootClass = (function(_super) {
    __extends(RootClass, _super);

    function RootClass() {
      return RootClass.__super__.constructor.apply(this, arguments);
    }

    RootClass.prototype.className = 'im-rootclass';

    RootClass.prototype.initialize = function(opts) {
      var cd;
      cd = opts.cd, this.openNodes = opts.openNodes;
      opts.trail = [];
      opts.path = opts.query.getPathInfo(cd.name);
      return RootClass.__super__.initialize.call(this, opts);
    };

    RootClass.prototype.getData = function() {
      return _.extend(RootClass.__super__.getData.call(this), {
        icon: Icons.icon('RootClass')
      });
    };

    RootClass.prototype.handleClick = function(e) {
      var collections, paths, r, references, _ref;
      if (e != null) {
        e.preventDefault();
      }
      if (e != null) {
        e.stopPropagation();
      }
      if (this.$(e.target).is('i') || (!this.model.get('canSelectReferences'))) {
        if (this.openNodes.size()) {
          return this.openNodes.reset([]);
        } else {
          _ref = this.path.getType(), collections = _ref.collections, references = _ref.references;
          paths = (function() {
            var _i, _len, _ref1, _results;
            _ref1 = _.values(references).concat(_.values(collections));
            _results = [];
            for (_i = 0, _len = _ref1.length; _i < _len; _i++) {
              r = _ref1[_i];
              _results.push(this.path.append(r.name));
            }
            return _results;
          }).call(this);
          return this.openNodes.reset(paths);
        }
      } else {
        return RootClass.__super__.handleClick.call(this, e);
      }
    };

    return RootClass;

  })(Attribute);

}).call(this);
