(function() {
  var BAD_MODEL, DropDownColumnSummary, FacetView, NO_QUERY, PathModel, ignore, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  FacetView = require('../facets/facet-view');

  PathModel = require('../../models/path');

  ignore = require('../../utils/events').ignore;

  NO_QUERY = 'No query in call to new DropDownColumnSummary';

  BAD_MODEL = 'No PathModel in call to new DropDownColumnSummary';

  module.exports = DropDownColumnSummary = (function(_super) {
    __extends(DropDownColumnSummary, _super);

    DropDownColumnSummary.prototype.className = function() {
      return "" + DropDownColumnSummary.__super__.className.apply(this, arguments) + " im-dropdown-summary";
    };

    function DropDownColumnSummary(_arg) {
      var model, query;
      query = _arg.query, model = _arg.model;
      if (!query) {
        throw new Error(NO_QUERY);
      }
      if (!(model instanceof PathModel)) {
        throw new Error(BAD_MODEL);
      }
      DropDownColumnSummary.__super__.constructor.call(this, {
        query: query,
        view: model.pathInfo()
      });
    }

    DropDownColumnSummary.prototype.events = function() {
      return _.extend(DropDownColumnSummary.__super__.events.apply(this, arguments), {
        click: ignore
      });
    };

    DropDownColumnSummary.prototype.postRender = function() {
      DropDownColumnSummary.__super__.postRender.apply(this, arguments);
      return this.$el.addClass(this.className());
    };

    return DropDownColumnSummary;

  })(FacetView);

}).call(this);
