(function() {
  var CoreView, TableSummary, Templates, _,
    __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  _ = require('underscore');

  CoreView = require('../../core-view');

  Templates = require('../../templates');

  require('../../messages/table');

  module.exports = TableSummary = (function(_super) {
    __extends(TableSummary, _super);

    function TableSummary() {
      return TableSummary.__super__.constructor.apply(this, arguments);
    }

    TableSummary.prototype.className = 'im-table-summary hidden-phone';

    TableSummary.prototype.RERENDER_EVENT = 'change:start change:size change:count';

    TableSummary.prototype.getData = function() {
      var count, data, size, start, _ref;
      _ref = data = TableSummary.__super__.getData.apply(this, arguments), start = _ref.start, size = _ref.size, count = _ref.count;
      return _.extend(data, {
        page: {
          count: count,
          first: start + 1,
          last: size === 0 ? 0 : Math.min(start + size, count)
        }
      });
    };

    TableSummary.prototype.template = Templates.template('count_summary');

    return TableSummary;

  })(CoreView);

}).call(this);
